=== debian/changelog ===
kpimtextedit (24.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix build with Qt 6.9 (Closes: #1117349).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 09 Oct 2025 21:06:05 +0200

kpimtextedit (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:47:50 +0100
