## kpimtextedit 25.08.1+p24.04+vstable+git20250911.1251

=== debian/changelog ===
kpimtextedit (25.08.1+p24.04+vstable+git20250911.1251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 12:51:32 +0000

kpimtextedit (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:45:38 +0000
