## kpimtextedit 25.08.1+p24.04+vstable+git20250920.0911

=== debian/changelog ===
kpimtextedit (25.08.1+p24.04+vstable+git20250920.0911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 09:11:59 +0000
