## kpimtextedit 25.08.2+p24.04+vstable+git20251015.1521

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vstable+git20251015.1521-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:21:05 +0000
