=== debian/tests/control ===
Tests: testsuite
Depends: breeze-icon-theme,
         build-essential,
         dbus-x11,
         libgl1-mesa-dri,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed
