## kpimtextedit 25.08.2+p24.04+vstable+git20251019.0319

=== debian/changelog ===
kpimtextedit (25.08.2+p24.04+vstable+git20251019.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:19:53 +0000
